質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

新規登録して質問してみよう
ただいま回答率
86.12%
Yarn

Yarnは、Facebook/Exponent/Google/Tildeが開発したJavaScriptのパッケージマネージャ。npmよりもインストールが速く、厳密にモジュールのバージョンを固定できるなど、npmの問題を解決。npmと互換性があり、同じpackage.jsonを使用できます。

解決済

yarnを導入してバージョンを確認しようとするとエラーが出てしまう。エラー解除の助言を頂き、yarnコマンドを使用できるようにしたい。

nao__funky
nao__funky

総合スコア62

Yarn

Yarnは、Facebook/Exponent/Google/Tildeが開発したJavaScriptのパッケージマネージャ。npmよりもインストールが速く、厳密にモジュールのバージョンを固定できるなど、npmの問題を解決。npmと互換性があり、同じpackage.jsonを使用できます。

1回答

0リアクション

0クリップ

561閲覧

投稿2022/06/11 05:51

前提

yarnをインストールして、これを用いてパッケージなどのインストールを行いたい。と考え、グローバルにインストールした。

実現したいこと

yarn -vでバージョンを確認したり、パッケージのインストールなどをできるようにしたい。

発生している問題・エラーメッセージ

macのターミナルにてyarn -vと入力すると、zsh: command not found: yarnと表示される。

該当のソースコード

ソースコード

試したこと

ターミナルにて$ npm install -g yarnと入力してグローバルにインストールした。そして、バージョンを確認しようとしてyarn -vと入力するとzsh: command not found: yarnとエラーが出る。
パスを通せばいいのかなと考え、vim ~/.bash_profileでexport PATH="$PATH:yarn global bin"(このままコピペした)と記述した。
しかし、まだyarnコマンドが使えない。
ただ、ターミナル上でnpx yarn -vと入力すると1.22.19と表示される。

補足情報(FW/ツールのバージョンなど)

ここにより詳細な情報を記載してください。

以下のような質問にはリアクションをつけましょう

  • 質問内容が明確
  • 自分も答えを知りたい
  • 質問者以外のユーザにも役立つ

リアクションが多い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

気になる質問をクリップする

クリップした質問は、後からいつでもマイページで確認できます。

またクリップした質問に回答があった際、通知やメールを受け取ることができます。

下記のような質問は推奨されていません。

  • 間違っている
  • 質問になっていない投稿
  • スパムや攻撃的な表現を用いた投稿

適切な質問に修正を依頼しましょう。

2022/06/11 05:52

こちらの質問が他のユーザーから「プログラミングに関係のない質問」という指摘を受けました。

2022/06/11 06:05

こちらの質問が他のユーザーから「やってほしいことだけを記載した丸投げの質問」という指摘を受けました。

まだ回答がついていません

会員登録して回答してみよう

アカウントをお持ちの方は

15分調べてもわからないことは
teratailで質問しよう!

ただいまの回答率
86.12%

質問をまとめることで
思考を整理して素早く解決

テンプレート機能で
簡単に質問をまとめる

質問する

関連した質問

同じタグがついた質問を見る

Yarn

Yarnは、Facebook/Exponent/Google/Tildeが開発したJavaScriptのパッケージマネージャ。npmよりもインストールが速く、厳密にモジュールのバージョンを固定できるなど、npmの問題を解決。npmと互換性があり、同じpackage.jsonを使用できます。